# vector.h File Reference

## Classes

class | wxVector< T >
| wxVector<T> is a template class which implements most of the `std::vector` class and can be used like it. More...
class | wxVector< T >::reverse_iterator
| Reverse iterator interface. More...

## Functions

template<typename T >
void | wxVectorSort (wxVector< T > &v)
| Sort the contents of a `wxVector<T>`.

## Function Documentation

template<typename T >

void wxVectorSort | ( | wxVector< T > & | v | ) |

Sort the contents of a `wxVector<T>`.

In a STL build this function will be defined as a thin wrapper around std::sort. To be sortable the contained type must support the less-than operator.

       wxVector<SomeClass> v;
       ... // items are added to the vector v...
       wxVectorSort(v);

See also:
  wxVector<T>

|  | [ top ]